Bug 172104 - SIOCSIFFLAGS error while trying a 32 bit install on a Tyan GT24
Summary: SIOCSIFFLAGS error while trying a 32 bit install on a Tyan GT24
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 4.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-31 15:32 UTC by James Pearson
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-04 17:07:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Pearson 2005-10-31 15:32:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040524

Description of problem:
I'm trying to do an NFS install via pxeboot of the i386 version of RHEL4 on a dual opteron Tyan 'Transport GT24 B2891' with dual on board Broadcom BCM5704's - but I get the following message after setting up the NIC:

* result of pumpSetupInterface is SIOCSIFFLAGS: invalid argument

and the install fails to continue ...

However, installing the x86_64 version works fine. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. NFS install of RHEL4
2. Select one of the on board NICs to configure
  

Actual Results:  anaconda logs:

* result of pumpSetupInterface is SIOCSIFFLAGS: invalid argument

and the install can't proceed

Expected Results:  NIC should be configured and the installer continues

Additional info:

The x86_64 version of the installer works fine with the exact same hardware

Comment 1 James Pearson 2005-11-04 17:09:11 UTC
'Fixed' by booting the installer with pci=noacpi or acpi=noirq 


Note You need to log in before you can comment on or make changes to this bug.